## python-networkx 1.1

=== debian/changelog ===
python-networkx (1.1-2) unstable; urgency=low

  * debian/{control, source/format, rules}
    - switch to '3.0 (quilt)' source format
  * debian/rules
    - use '-f' option of rm instead of the make-way of ignoring error
  * debian/rules
    - remove 2 doc files not needed (they are actually broken symlinks); thanks
      to Ian Zimmerman for the report; Closes: #580839
  * debian/patches/changeset_r1745.diff
    - replace string exceptions, removed from python >= 2.6; Closes: #585307
  * debian/{control, pyversions}
    - removed pyversions, now using XS-P-V

 -- Sandro Tosi <morph@debian.org>  Wed, 23 Jun 2010 18:12:28 +0200

python-networkx (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - added Drew Conway to the list of copyright holders
  * debian/patches/20_example_dirs_remove
    - refreshed for new upstream code
  * debian/control
    - bump versioned python-support b-d to at least version 1
  * debian/rules
    - install ReST source for documentation, since it's not currently buildable

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Apr 2010 20:52:16 +0200

python-networkx (1.0.1-2) unstable; urgency=low

  * debian/rules
    - use '--install-layout=deb' when installing and '*-packages' when referring
      to installation path, to make the package be Python2.6-ready; thanks to
      Jakub Wilk for the report; Closes: #571508

 -- Sandro Tosi <morph@debian.org>  Fri, 26 Feb 2010 23:53:35 +0100

python-networkx (1.0.1-1) unstable; urgency=low

  * New upstream release; thanks to Yaroslav Halchenko for the report;
    Closes: #565319
  * debian/control
    - take maintainership back under DPMT umbrella; thanks to Cyril Brulebois
      for his work
    - adjust Vcs-{Svn, Browser} to point to DPMT location
    - bump Standards-Version to 3.8.4
      + added debian/README.source
    - replace b-d-i on python-all-dev with python only
    - use HTTP (and not HTTPS) for Homepage field
    - rephrased short description; thanks to Rogério Brito for the report;
      Closes: #557895
  * debian/pyversions
    - minimum version set to 2.5
  * debian/copyright
    - updated upstream copyright authors and license information
    - update copyright notice for packaging
  * debian/watch
    - updated to report numerical (with dots) releases
  * debian/patches/20_fix_broken_svn_keyboards
    - removed, fixed upstream
  * debian/patches/20_example_dirs_remove
    - don't created empty dirs for examples no more present

 -- Sandro Tosi <morph@debian.org>  Fri, 26 Feb 2010 00:20:57 +0100

python-networkx (1.0~rc1~svn1492-2) experimental; urgency=low

  * Work around both svn's and python's broken behaviours: exporting from
    the former is locale-dependant, and the latter can't cope with Unicode
    out of the box (Closes: #557743):
     + debian/patches/20_fix_broken_svn_keyboards.
  * Self-reminder: don't touch svn ever again.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 24 Nov 2009 12:26:36 +0100

python-networkx (1.0~rc1~svn1492-1) experimental; urgency=low

  * New upstream snapshot, past 1.0~rc1, as requested by Yaroslav
    Halchenko (Closes: #549996).
  * Refresh patch accordingly:
     + debian/patches/10_doc_relocation.
  * Get rid of extra LICENSE.txt file in /usr/share/doc.
  * Use dh_compress -Xexamples/ to avoid compressing examples, thanks to
    Sandro Tosi (Closes: #539942).
  * Bump Standards-Version from 3.8.0 to 3.8.3 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 23 Nov 2009 15:44:34 +0100

python-networkx (0.99-2) unstable; urgency=low

  * Upload to unstable now that lenny is released (yay).
  * Fix FTBFS with python-support 0.90.3: no longer rely on its internal
    behaviour, and xnow set tests/test.py executable right after “setup.py
    install” (Closes: #517065).
  * Drop executable bits from bz2 files.
  * Update Vcs-* fields: move from DPMT's svn to collab-maint's git.
  * Remote DPMT from Uploaders, following Piotr Ożarowski's request.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Feb 2009 13:36:24 +0100

python-networkx (0.99-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control:
     + Switch Vcs-Browser field to viewsvn.

  [ Cyril Brulebois ]
  * New upstream release.
  * Refresh patch accordingly:
     + debian/patches/10_doc_relocation.
  * debian/rules:
     + Update uneeded file list, only INSTALL.txt left.
     + Update README renaming, using a new $(DEBIANDOC_DIR) variable.
     + Stop removing a directory, no longer created.
  * debian/docs:
     + Deleted, README taken care of through debian/rules.
  * debian/control:
     + Bump Standards-Version from 3.7.3 to 3.8.0 (no changes needed).
     + Update my mail address.
  * debian/copyright:
     + Ditto.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Nov 2008 07:42:43 +0100

python-networkx (0.36-2) unstable; urgency=low

  * debian/control:
     + Replace python-setuptools with python-pkg-resources in the
       “Recommends:” since pkg_resources is now available in this
       separate package, thanks Matthias Klose (Closes: #468721).
  * debian/copyright:
     + Use “© $years $name” instead of invalid “$name, $years” and
       “(C) $years, $name”, thanks to lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sun, 02 Mar 2008 01:06:32 +0100

python-networkx (0.36-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control:
     + Uniformize Vcs-Browser field across the DPMT packages.

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/copyright:
     + Update copyright years.
     + Update the list of authors.
  * Don't repack anymore, upstream no longer ships the examples that
    weren't DFSG-compliant.
  * debian/README.Debian:
     + Update accordingly.
  * debian/watch:
     + Remove version mangling, no longer needed.
  * debian/rules:
     + Delete the networkx.egg-info/SOURCES.txt pristine hack.
     + Only remove the whole networkx.egg-info directory in the

