=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://networkx.lanl.gov/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-networkx/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-networkx/trunk/

Package: python-networkx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph we mean a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network we usually
 mean a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
