=== debian/watch ===
version=3
http://networkx.lanl.gov/download/networkx/networkx-([\d\.]*).tar.gz
