## python-networkx 1.4

=== debian/changelog ===
python-networkx (1.4-2~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 05 May 2011 14:29:14 -0400

python-networkx (1.4-2) unstable; urgency=low

  * debian/patches/10_doc_relocation
    - write a description for this patch
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - don't use 'we' in long description
  * debian/rules
    - install upstream changelog

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2011 17:48:53 +0200

python-networkx (1.4-1) experimental; urgency=low

  * New upstream release; thanks to Yaroslav Halchenko for the report;
    Closes: #617677
  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608780
  * debian/watch
    - updated to point to PyPi
  * debian/control
    - bump python-sphinx versioned b-d-i to 1.0.1 minimum
    - added python-pygraphviz to b-d-i, needed for doc building
  * debian/copyright
    - bump upstream and packaging copyright years
  * debian/patches/{40_add_networkxcss, 50_boundary-test-fix.patch
                    60_remove_svn_refs.diff 70_set_matplotlib_ps_backend.patch}
    - removed since merged upstream
  * debian/patches/{10_doc_relocation, 20_example_dirs_remove,
                    30_use_local_objects.inv}
    - refreshed/adapted to new upstream code

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Mar 2011 12:19:16 +0100

python-networkx (1.3-1) experimental; urgency=low

  * New upstream release
  * debian/patches/changeset_r1745.diff
    - dropped, available in upstream release
  * debian/patches/10_doc_relocation
    - refreshed patch for new upstream code
  * debian/control
    - upstream code is now compatible with 2.6 or later only
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/{control, rules}
    - run unittests at build time, b-d on python-nose added
  * debian/copyright
    - removed reference to /usr/share/common-licenses/BSD
  * Create a -doc package ; thanks to Yaroslav Halchenko for the report;
    Closes: #567369
    - (d/control) define a new binary package, and add depends on sphinx (>= 1)
    - (d/rules) build documentation, install it into the new -doc package
    - (d/patches/30_use_local_objects.inv) use local copy of remote objects.inv
  * debian/{control, rules}
    - moved to dh7 and "reduced" rules file
  * debian/rules
    - refer to built code when building doc
  * debian/python-networkx-doc.doc-base
    - added doc-base information
  * debian/patches/40_add_networkxcss
    - added as patch, since networkx.css is missing from the tarball, but needed
      to display properly HTML documentation
  * debian/patches/50_boundary-test-fix.patch
    - upstream patch to restrict node boundary test cases to valid range
  * debian/patches/60_remove_svn_refs.diff
    - upstream patch to remove references to old SVN repository (now Mercurial)
  * debian/patches/70_set_matplotlib_ps_backend.patch
    - set matplotlib backend to 'PS', so a DISPLAY it's not required and the
      tests can be run in a "reduced" environment

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Dec 2010 23:50:27 +0100
