=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.1), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz
Standards-Version: 3.9.2
XS-Python-Version: >= 2.6
Homepage: http://networkx.lanl.gov/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-networkx/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-networkx/trunk/

Package: python-networkx
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.

Package: python-networkx-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: tool to create, manipulate and study complex networks - documentation
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains documentation for NetworkX.
