## python-networkx 1.5

=== debian/changelog ===
python-networkx (1.5-2ubuntu0.1) oneiric-proposed; urgency=low

  * debian/patches/50_no_setuptools_in_requires.txt
     - don't add setuptools to requires.txt;
       allows import with pkg_resources.require('networkx') like
       e.g. epigrass does (LP: #925744)

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 03 Feb 2012 19:58:28 +0100

python-networkx (1.5-2) unstable; urgency=low

  * debian/patches/40_astar_unique_shortest_path.diff
    - make A* shortest paths unique; Closes: #634083

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jul 2011 13:53:32 +0200

python-networkx (1.5-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - added dvipng to b-d-i, needed for math images

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jun 2011 18:13:44 +0200
