=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-networkx
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.1), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz
+Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.1), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng
 Standards-Version: 3.9.2
 XS-Python-Version: >= 2.6
 Homepage: http://networkx.lanl.gov/
@@ -14,7 +14,7 @@
 
 Package: python-networkx
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
 Description: tool to create, manipulate and study complex networks
  NetworkX is a Python-based package for the creation, manipulation, and
@@ -32,7 +32,7 @@
 Package: python-networkx-doc
 Section: doc
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: tool to create, manipulate and study complex networks - documentation
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
