## python-networkx 1.6

=== debian/changelog ===
python-networkx (1.6-2) unstable; urgency=low

  * debian/rules
    - set MPLCONFIGDIR to current directory when building the doc, fixing a
      FTBFS; thanks to Lucas Nussbaum for the report; Closes: #665038
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 03 Apr 2012 20:00:02 +0200

python-networkx (1.6-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_doc_relocation
    - refreshed for new upstream code
  * debian/patches/40_astar_unique_shortest_path.diff
    - removed, merged upstream
  * debian/patches/40_no_setuptools_in_requires.txt
    - don't add setuptools to requires.txt; Closes: #639995
  * debian/patches/50_nosetests_verbosity_0
    - set verbosity=0 else tests can't be run
  * debian/{control, rules}
    - use dh_sphinxdoc

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2011 16:58:36 +0100
