=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
 
 %:
-	dh $@
+	dh $@ --with sphinxdoc
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -29,8 +29,8 @@
 	done
 
 build-indep:
-	# build doc
-	make -C doc dist PYTHONPATH=../$(PYLIBPATH)
+	# build doc, run in a separate shell, so we can export MPLCONFIGDIR
+	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(PYLIBPATH))
 
 override_dh_install:
 	# Install w/o compiling *.pyc files
