## python-networkx 1.7~rc1

=== debian/changelog ===
python-networkx (1.7~rc1-3) unstable; urgency=low

  * debian/patches/changeset_9ebe087b8bbcdeee3051e07cacd05fa07436c16e.diff
    - Preserver order in G.nodes(), fixing a FTBFS in nipype; thanks to Yaroslav
      Halchenko for the report and analysis; Closes: #684107

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Aug 2012 22:10:21 +0200

python-networkx (1.7~rc1-2) unstable; urgency=low

  * debian/patches/changeset_8960521b5ae4897bdbac4ff49525d8b37bff88d2.diff
    - Handle empty graph (all zero matrix) and null graph (raise exception) in
      to_scipy_sparse_matrix; thanks to Yaroslav Halchenko for the report;
      Closes: #678036

 -- Sandro Tosi <morph@debian.org>  Tue, 19 Jun 2012 21:49:24 +0200

python-networkx (1.7~rc1-1) unstable; urgency=low

  * New upstream release candidate
  * debian/watch
    - recognize rc releases
  * debian/copyright
    - extend upstream and packaging copyright years
    - add Nicholas Mancuso's copyrighted files
  * debian/control
    - add python-numpy, python-scipy to b-d-i to enable additional tests
  * debian/patches/*
    - refreshed patches
  * debian/patches/50_nosetests_verbosity_0
    - removed, merged upstream
  * debian/patches/changeset_fed4cb6e78dc7047c06522b0418ef5b0d8197290.diff
    - fix an error in unittests

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Jun 2012 23:46:38 +0200

python-networkx (1.6-3) unstable; urgency=low

  * debian/rules
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671193

 -- Sandro Tosi <morph@debian.org>  Sat, 12 May 2012 13:10:30 +0200
