=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 	# Add here commands to clean up after the build process.
 	rm -fr build
+	# Remove built doc too
+	$(MAKE) -C doc clean
+	rm -rf doc/source/*.pdf doc/source/*.zip examples/*/*.png doc/fontList.cache
 
 	# Make sure that there's no .pyc left
 	find . -name '*.pyc' -exec rm {} ';'
