## python-networkx 1.7

=== debian/changelog ===
python-networkx (1.7-2) experimental; urgency=low

  * debian/*_objects.inv
    - updated intersphinx mapping files
  * debian/rules
    - reorganize build and test targets
  * debian/{control, rules}
    - provide Python 3 package; Closes: #597422

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Aug 2012 18:04:48 +0200

python-networkx (1.7-1) experimental; urgency=low

  * New upstream release
  * debian/patches/changeset_*
    - removed, included upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Aug 2012 12:41:30 +0200
