=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
 DEBIANDOC_DIR=$(CURDIR)/debian/python-networkx/usr/share/doc/python-networkx
-PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+LIB2 := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)")
+PYTHON2 := $(shell pyversions -r)
+PYTHON3 := $(shell py3versions -r)
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --with sphinxdoc,python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -21,29 +24,47 @@
 	# This directory is generated during the build
 	rm -rf networkx.egg-info
 
-build: build-arch build-indep ;
+override_dh_auto_build:
+	dh_auto_build
 
-build-arch:
-	dh build
+	# build doc, run in a separate shell, so we can export MPLCONFIGDIR
+	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
 
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	set -e ; \
 	# running tests
-	for py in $(shell pyversions -r) ; do\
-		PYTHONPATH=$(PYLIBPATH) $$py setup_egg.py nosetests ; \
+	for py in $(PYTHON2) ; do\
+		PYTHONPATH=$(LIB2) $$py setup_egg.py nosetests ; \
 	done
-
-build-indep:
-	# build doc, run in a separate shell, so we can export MPLCONFIGDIR
-	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(PYLIBPATH))
+	set -e ; \
+	# running tests Python 3
+	for py in $(PYTHON3) ; do\
+		PYTHONPATH=$(LIB3) $$py setup_egg.py nosetests ; \
+	done
+endif
 
 override_dh_install:
 	# Install w/o compiling *.pyc files
 	# Install egg-info directories (--single-... option)
 	python setup_egg.py install --no-compile --root=$(CURDIR)/debian/python-networkx \
 		--single-version-externally-managed --install-layout=deb
+	python3 setup_egg.py install --no-compile --root=$(CURDIR)/debian/python3-networkx \
+		--single-version-externally-managed --install-layout=deb
 
 	# Fix executable bits:
 	chmod +x debian/python-networkx/usr/lib/`pyversions -d`/*-packages/networkx/tests/test.py
+	chmod +x debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
 	find debian/python-networkx -name '*.bz2' -exec chmod a-x {} ';'
+
+	# fix test shebang
+	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
+
+	# remove duplicate examples
+	rm -rf debian/python3-networkx/usr/share/doc/python-networkx
+
+	# don't ship python 2 code for _decorator because it can't be byte-compiled
+	rm -f debian/python3-networkx/usr/lib/python3/dist-packages/networkx/external/decorator/_decorator.py
 
 	# Do some cleanup: delete unneeded files:
 	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt
