## python-networkx 1.8.1

=== debian/changelog ===
python-networkx (1.8.1-0ubuntu3) trusty; urgency=medium

  * debian/rules: Ftbfs if the tests fail for python2.
  * debian/patches/python-3.4.patch: Fixes for python3.4

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Jan 2014 10:03:52 -0500

python-networkx (1.8.1-0ubuntu2) trusty; urgency=medium

  * debian/control: Dropped python-matplotlib its an optional
    package. 
  * Suggest: python-graphviz, python-matplotlib
  * debian/rules: Disable doc buidling temporarily.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Jan 2014 09:25:07 -0500

python-networkx (1.8.1-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Refreshed debian/patches/10_doc_relocation.
    - Dropped python-support and move to dh_python.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Dec 2013 09:20:03 -0500
