=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-networkx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.3.5-11), python3-all, python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng, python-numpy, python-scipy, python3-scipy, python3-setuptools, python3-nose
+Build-Depends-Indep: python-all (>= 2.6.6-3~), python3-all, dh-python, python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, python-numpy, python3-setuptools, python3-nose
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -15,7 +16,7 @@
 Package: python-networkx
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
+Suggests: python-numpy, python-scipy, python-pydot, python-pkg-resources, python-yaml
 Description: tool to create, manipulate and study complex networks
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
@@ -32,7 +33,7 @@
 Package: python3-networkx
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: python3-numpy, python3-scipy, python3-pkg-resources, python3-yaml
+Suggests: python3-numpy, python3-scipy, python3-pkg-resources, python3-yaml
 #Recommends: python-pygraphviz | python-pydot, python-matplotlib
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and
