=== debian/watch ===
version=3
#http://networkx.lanl.gov/download/networkx/networkx-([\d\.]*).tar.gz
opts="uversionmangle=s/rc/~rc/" \
  http://pypi.python.org/packages/source/n/networkx/networkx-(.*)\.tar.gz
